import { StyleSheet, Dimensions } from 'react-native';
import { Colors } from '../../../../theme';

export const styles = StyleSheet.create({
  header: {
    flexDirection: 'row',
    alignItems: 'center',
    paddingVertical: 10,
    paddingHorizontal: 16,
    justifyContent: 'space-between',
    flex: 1,
  },
  headerText: {
    fontSize: 16,
    fontWeight: 'bold',
    color: '#0F3F4F',
    flexShrink: 1,
    marginRight: 10,
  },
  headerImage: {
    width: 30,
    height: 30,
    marginRight: 16,
    resizeMode: 'contain',
    borderRadius: 15,
    borderColor: '#B4C2C7',
    borderWidth: 0.5
  },
  contentText: {
    fontSize: 13,
    color: '#0F3F4F',
    textAlign: 'left',
    marginLeft: 10,
    flexShrink: 1,
    marginRight: 10,
  },
  textNew: {
    color: Colors.ORANGE,
    fontSize: 10,
    fontWeight: '800'
  },
  headerIcon: {
    transform: [{ rotate: '-90deg' }],
  },
  itemIcon: {
    width: 20,
    height: 20,
    marginLeft: 10,
    resizeMode: 'contain',
  },
  rotate: {
    transform: [{ rotate: '90deg' }]
  },
  content: {
    padding: 20,
    paddingBottom: 4,
    paddingRight: 10,
    backgroundColor: '#FAFAFA',
    borderRadius: 8,
    borderTopWidth: 1,
    borderColor: '#E5E5E5'
  },
  sectionContainer: {
    marginBottom: 5,
    backgroundColor: '#FAFAFA',
    borderRadius: 8
  },
  headerContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    flex: 1
  },
  chevronContainer: {
    width: 18,
    height: 18,
    alignItems: 'center'
  },
  itemContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    marginBottom: 16,
    justifyContent: 'space-between',
    flex: 1
  },
  info: {
    paddingHorizontal: 10,
    height: '100%',
    alignItems: 'center',
    justifyContent: 'center'
  }
});
